<?xml version="1.0" encoding="utf-8"?>
<xs:schema xmlns:stjamessplaceplc="http://stjamessplaceplc.com/xbrl/2022" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:nonnum="http://www.xbrl.org/dtr/type/non-numeric" xmlns:num="http://www.xbrl.org/dtr/type/numeric" targetNamespace="http://stjamessplaceplc.com/xbrl/2022" xmlns:xs="http://www.w3.org/2001/XMLSchema">
  <xs:import schemaLocation="http://www.xbrl.org/2003/xbrl-instance-2003-12-31.xsd" namespace="http://www.xbrl.org/2003/instance" />
  <xs:import schemaLocation="http://www.esma.europa.eu/taxonomy/2021-03-24/esef_cor.xsd" namespace="http://www.esma.europa.eu/taxonomy/2021-03-24/esef_cor" />
  <xs:import schemaLocation="http://www.xbrl.org/lrr/arcrole/esma-arcrole-2018-11-21.xsd" namespace="http://www.esma.europa.eu/xbrl/esef/arcrole/wider-narrower" />
  <xs:import schemaLocation="http://www.xbrl.org/dtr/type/nonNumeric-2009-12-16.xsd" namespace="http://www.xbrl.org/dtr/type/non-numeric" />
  <xs:import schemaLocation="http://www.xbrl.org/2005/xbrldt-2005.xsd" namespace="http://xbrl.org/2005/xbrldt" />
  <xs:import schemaLocation="http://www.xbrl.org/dtr/type/numeric-2009-12-16.xsd" namespace="http://www.xbrl.org/dtr/type/numeric" />
  <xs:annotation>
    <xs:appinfo>
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="stjamessplaceplc-2022-12-31_pre.xml" xlink:role="http://www.xbrl.org/2003/role/presentationLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="stjamessplaceplc-2022-12-31_def.xml" xlink:role="http://www.xbrl.org/2003/role/definitionLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="stjamessplaceplc-2022-12-31_lab-en.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="stjamessplaceplc-2022-12-31_cal.xml" xlink:role="http://www.xbrl.org/2003/role/calculationLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="http://www.esma.europa.eu/taxonomy/2021-03-24/esef_cor-lab-en.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="http://www.esma.europa.eu/taxonomy/2021-03-24/esef_cor-gen-en.xml" xlink:type="simple" />
      <link:roleType id="Anchoring" roleURI="http://stjamessplaceplc.com/xbrl/2022/roles/Anchoring">
        <link:definition>99 - Groups all anchored elements</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="NotesAndMandatoryItems" roleURI="http://stjamessplaceplc.com/xbrl/2022/roles/NotesAndMandatoryItems">
        <link:definition>01 - Notes and Mandatory Items</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementOfComprehensiveIncome" roleURI="http://stjamessplaceplc.com/xbrl/2022/roles/StatementOfComprehensiveIncome">
        <link:definition>02 - Statement of comprehensive income</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementOfChangesInEquity" roleURI="http://stjamessplaceplc.com/xbrl/2022/roles/StatementOfChangesInEquity">
        <link:definition>03 - Statement of changes in equity</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementOfFinancialPosition" roleURI="http://stjamessplaceplc.com/xbrl/2022/roles/StatementOfFinancialPosition">
        <link:definition>04 - Statement of financial position</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementOfCashFlows" roleURI="http://stjamessplaceplc.com/xbrl/2022/roles/StatementOfCashFlows">
        <link:definition>05 - Statement of cash flows</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:labelLink</link:usedOn>
      </link:roleType>
    </xs:appinfo>
  </xs:annotation>
  <xs:element id="stjamessplaceplc_InsurancePremiumIncome" xbrli:balance="credit" xbrli:periodType="duration" name="InsurancePremiumIncome" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="stjamessplaceplc_LessPremiumsCededToReinsurers" xbrli:balance="debit" xbrli:periodType="duration" name="LessPremiumsCededToReinsurers" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="stjamessplaceplc_InvestmentReturn" xbrli:balance="debit" xbrli:periodType="duration" name="InvestmentReturn" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="stjamessplaceplc_NetIncome" xbrli:balance="credit" xbrli:periodType="duration" name="NetIncome" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="stjamessplaceplc_PolicyClaimsAndBenefitsGrossAmount" xbrli:balance="debit" xbrli:periodType="duration" name="PolicyClaimsAndBenefitsGrossAmount" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="stjamessplaceplc_PolicyClaimsAndBenefitsReinsurersShare" xbrli:balance="credit" xbrli:periodType="duration" name="PolicyClaimsAndBenefitsReinsurersShare" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="stjamessplaceplc_ChangeInInsuranceContractLiabilitiesGrossAmount" xbrli:balance="debit" xbrli:periodType="duration" name="ChangeInInsuranceContractLiabilitiesGrossAmount" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="stjamessplaceplc_ChangeInInsuranceContractLiabilitiesReinsurersShare" xbrli:balance="credit" xbrli:periodType="duration" name="ChangeInInsuranceContractLiabilitiesReinsurersShare" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="stjamessplaceplc_MovementInInvestmentContractBenefits" xbrli:balance="debit" xbrli:periodType="duration" name="MovementInInvestmentContractBenefits" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="stjamessplaceplc_TaxAttributableToPolicyholdersReturns" xbrli:balance="debit" xbrli:periodType="duration" name="TaxAttributableToPolicyholdersReturns" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="stjamessplaceplc_ProfitBeforeTaxAttributableToShareholdersReturns" xbrli:balance="credit" xbrli:periodType="duration" name="ProfitBeforeTaxAttributableToShareholdersReturns" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="stjamessplaceplc_LessTaxAttributableToPolicyholdersReturns" xbrli:balance="debit" xbrli:periodType="duration" name="LessTaxAttributableToPolicyholdersReturns" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="stjamessplaceplc_TaxAttributableToShareholdersReturns" xbrli:balance="debit" xbrli:periodType="duration" name="TaxAttributableToShareholdersReturns" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="stjamessplaceplc_SharesInTrustReserveMember" xbrli:periodType="duration" abstract="true" name="SharesInTrustReserveMember" nillable="true" substitutionGroup="xbrli:item" type="nonnum:domainItemType" />
  <xs:element id="stjamessplaceplc_RetainedEarningsCreditInRespectOfShareOptionCharges" xbrli:balance="credit" xbrli:periodType="duration" name="RetainedEarningsCreditInRespectOfShareOptionCharges" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="stjamessplaceplc_DeferredAcquisitionCosts" xbrli:balance="debit" xbrli:periodType="instant" name="DeferredAcquisitionCosts" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="stjamessplaceplc_IntangibleAssetsPurchasedValueOfInForceBusiness" xbrli:balance="debit" xbrli:periodType="instant" name="IntangibleAssetsPurchasedValueOfInForceBusiness" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="stjamessplaceplc_InvestmentsEquities" xbrli:balance="debit" xbrli:periodType="instant" name="InvestmentsEquities" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="stjamessplaceplc_InvestmentsFixedIncomeSecurities" xbrli:balance="debit" xbrli:periodType="instant" name="InvestmentsFixedIncomeSecurities" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="stjamessplaceplc_InvestmentsInvestmentInCollectiveInvestmentSchemes" xbrli:balance="debit" xbrli:periodType="instant" name="InvestmentsInvestmentInCollectiveInvestmentSchemes" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="stjamessplaceplc_NetAssetValueAttributableToUnitHolders" xbrli:balance="credit" xbrli:periodType="instant" name="NetAssetValueAttributableToUnitHolders" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="stjamessplaceplc_NetAssetsPerShare" xbrli:periodType="instant" name="NetAssetsPerShare" nillable="true" substitutionGroup="xbrli:item" type="num:perShareItemType" />
  <xs:element id="stjamessplaceplc_ContingentConsiderationClassifiedAsOperatingActivities" xbrli:balance="credit" xbrli:periodType="duration" name="ContingentConsiderationClassifiedAsOperatingActivities" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="stjamessplaceplc_ProceedsFromTheIssueOfShareCapitalAndExerciseOfOptionsClassifiedAsFinancingActivities" xbrli:balance="debit" xbrli:periodType="duration" name="ProceedsFromTheIssueOfShareCapitalAndExerciseOfOptionsClassifiedAsFinancingActivities" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="stjamessplaceplc_ConsiderationPaidForOwnSharesRelatingToCashFlowsFromFinancingActivities" xbrli:balance="debit" xbrli:periodType="duration" name="ConsiderationPaidForOwnSharesRelatingToCashFlowsFromFinancingActivities" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" />
  <xs:element id="stjamessplaceplc_DescriptionOfAccountingPolicyForInvestmentReturn" xbrli:periodType="duration" name="DescriptionOfAccountingPolicyForInvestmentReturn" nillable="true" substitutionGroup="xbrli:item" type="nonnum:textBlockItemType" />
  <xs:element id="stjamessplaceplc_DescriptionOfAccountingPolicyForInvestmentContractDepositsAndWthdrawals" xbrli:periodType="duration" name="DescriptionOfAccountingPolicyForInvestmentContractDepositsAndWthdrawals" nillable="true" substitutionGroup="xbrli:item" type="nonnum:textBlockItemType" />
  <xs:element id="stjamessplaceplc_DescriptionOfAccountingPolicyForEquitiesFixedIncomeSecuritiesAndInvestmentInCollectiveInvestmentSchemes" xbrli:periodType="duration" name="DescriptionOfAccountingPolicyForEquitiesFixedIncomeSecuritiesAndInvestmentInCollectiveInvestmentSchemes" nillable="true" substitutionGroup="xbrli:item" type="nonnum:textBlockItemType" />
  <xs:element id="stjamessplaceplc_DescriptionOfAccountingPolicyForInvestmentContractBenefits" xbrli:periodType="duration" name="DescriptionOfAccountingPolicyForInvestmentContractBenefits" nillable="true" substitutionGroup="xbrli:item" type="nonnum:textBlockItemType" />
  <xs:element id="stjamessplaceplc_DescriptionOfAccountingPolicyForDeferredIncome" xbrli:periodType="duration" name="DescriptionOfAccountingPolicyForDeferredIncome" nillable="true" substitutionGroup="xbrli:item" type="nonnum:textBlockItemType" />
  <xs:element id="stjamessplaceplc_DescriptionOfAccountingPolicyForNetAssetValueAttributableToUnitHolders" xbrli:periodType="duration" name="DescriptionOfAccountingPolicyForNetAssetValueAttributableToUnitHolders" nillable="true" substitutionGroup="xbrli:item" type="nonnum:textBlockItemType" />
  <xs:element id="stjamessplaceplc_DescriptionOfAccountingPolicyForProductClassification" xbrli:periodType="duration" name="DescriptionOfAccountingPolicyForProductClassification" nillable="true" substitutionGroup="xbrli:item" type="nonnum:textBlockItemType" />
  <xs:element id="stjamessplaceplc_DescriptionOfAccountingPolicyForCurrentAndNonCurrentDisclosure" xbrli:periodType="duration" name="DescriptionOfAccountingPolicyForCurrentAndNonCurrentDisclosure" nillable="true" substitutionGroup="xbrli:item" type="nonnum:textBlockItemType" />
  <xs:element id="stjamessplaceplc_DescriptionOfAccountingPolicyForAlternativePerformanceMeasures" xbrli:periodType="duration" name="DescriptionOfAccountingPolicyForAlternativePerformanceMeasures" nillable="true" substitutionGroup="xbrli:item" type="nonnum:textBlockItemType" />
  <xs:element id="stjamessplaceplc_DisclosureOfInvestmentReturnAndMovementInInvestmentContractBenefits" xbrli:periodType="duration" name="DisclosureOfInvestmentReturnAndMovementInInvestmentContractBenefits" nillable="true" substitutionGroup="xbrli:item" type="nonnum:textBlockItemType" />
</xs:schema>